﻿<?php

/**
    Tool for collaborative workshops.
    Copyright (C) 2016  Albert-Ludwigs-Universität Freiburg

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


$template = new Template("templates/site.html");
$own_table = $workshop->getOwnTable();
$template->set("WORKSHOP_TITLE", WORKSHOP_TITLE);
$template->set("OWN_TABLE_ID", $own_table['id']);
$template->set("OWN_TABLE_ID+1", $own_table['id']+1);
$template->set("OWN_TABLE_NAME", $own_table['name']);
for ($i = 0; $i < 5; $i++) {
	$template->set("FIELD_ID_".$i, $i);
	$template->set("FIELD_".$i, $workshop->getField($i));
}
$i = 0;
foreach($workshop->getOtherTables() as $id => $data) {
	$template->set("OTHER_TABLE_ID_".$i, $id);
	$template->set("OTHER_TABLE_NAME_".$i, $data['name']);
	$template->set("OTHER_TABLE_SYNC_".$i, $data['sync']);
	$i++;
}

echo $template->toString();

?>